ยินดีต้อนรับคุณ, บุคคลทั่วไป กรุณา เข้าสู่ระบบ หรือ ลงทะเบียน

เข้าสู่ระบบด้วยชื่อผู้ใช้ รหัสผ่าน และระยะเวลาในเซสชั่น

ThaiSEOBoard.comความรู้ทั่วไปGeneral (ถามคุยวิชาการ IM)ผิดไหมที่ผมพัฒนา AppServ ให้ใช้ฟรี ????
หน้า: [1] 2 3 ... 9   ลงล่าง
พิมพ์
ผู้เขียน หัวข้อ: ผิดไหมที่ผมพัฒนา AppServ ให้ใช้ฟรี ????  (อ่าน 27297 ครั้ง)
0 สมาชิก และ 1 บุคคลทั่วไป กำลังดูหัวข้อนี้
apples
Newbie
*

พลังน้ำใจ: 12
ออฟไลน์ ออฟไลน์

กระทู้: 24



ดูรายละเอียด
« เมื่อ: 09 พฤษภาคม 2015, 02:03:45 »

มีเมล์มาจากคนไทย ?? ขอให้หยุดเผยแพร่ AppServ จากเมล์ดังต่อไปนี้



เมล์มาจาก me@jirayu.in.th

ขอรบกวนพิจารณาเลิกเผยแพร่ซอฟต์แวร์ AppServ ครับ

สวัสดีครับคุณภาณุพงศ์

ขอแนะนำตัวก่อนนะครับ  ผมชื่อ จิรายุ ยิ่งถาวรสุข (อาร์ม) เป็น PHP Developer คนหนึ่งครับ
เท่าที่ผมตรวจสอบข้อมูล  ผมเข้าใจว่าคุณภาณุพงศ์คือผู้พัฒนาชุดซอฟต์แวร์จำลองเว็บเซิร์ฟเวอร์ AppServ ซึ่งได้ออกเวอร์ชันสุดท้ายตั้งแต่ปี 2008 คือเวอร์ชัน 2.5.10 ที่มาพร้อมกับ PHP 5.2.6
ปัจจุบัน PHP 5.2.x หมดการสนับสนุนไปนานแล้วตั้งแต่ปี 2011 แต่นักพัฒนา, นักศึกษา, หรือแม้แต่อาจารย์หลายๆ ท่าน  ยังคงสอนและพัฒนา PHP โดยใช้ AppServ เป็นฐานอยู่ครับ  ผลที่ตามมาคือนักพัฒและนักศึกษาจำนวนมากพบปัญหากับ CMS รุ่นใหม่ๆ ที่ไม่สามารถใช้งานบน AppServ ได้  หรือพบปัญหาเมื่อนำซอฟต์แวร์ที่พัฒนาบน AppServ ไปใช้จริงแล้วเกิดปัญหา (รวมถึงไม่สามารถเขียนโปรแกรมใช้งานฟีเจอร์ใหม่ๆ ของ PHP ได้อีกด้วย)
ผม (และคาดว่าอีกหลายๆ ท่าน) อยากขอความร่วมมือคุณภาณุพงศ์ให้ช่วยทำการหยุดเผยแพร่ AppServ ทั้งบนเว็บไซต์ AppServ Network และอาจรวมถึงโปรเจ็กท์บน SourceForge ด้วยก็ได้ครับ  พร้อมทั้งขึ้นคำแนะนำบนหน้าเว็บให้ใช้ซอฟต์แวร์ชุดอื่นแทน  เช่น XAMPP, MAMP, WAMP Server, หรือชุดซอฟต์แวร์อื่นๆ ที่ยังคงมีการพัฒนาอยู่ครับ
รบกวนพิจารณาด้วยครับ
ขอบคุณครับ

จิรายุ ยิ่งถาวรสุข



ตามที่ผมได้ตอบไป



 


ผมทำแจกฟรีนะครับ และก็แพลนที่จะพัฒนาต่อ ผมไม่คิดเงินแม้แต่บาทเดียวที่ได้ใช้ของผม
บันทึกการเข้า
visavavit
หัวหน้าแก๊งเสียว
*

พลังน้ำใจ: 69
ออฟไลน์ ออฟไลน์

กระทู้: 1,713



ดูรายละเอียด
« ตอบ #1 เมื่อ: 09 พฤษภาคม 2015, 02:10:48 »

ปล่อยผ่านเถอะครับท่าน

คนเราบางทีมองโลกแคบไปหน่อยครับ
บันทึกการเข้า

-------------------------------------------------
รีวิว AdPocket
เช่ารถเชียงใหม่ ไม่แพง รถสวย สะอาด
max30012540
หัวหน้าแก๊งเสียว
*

พลังน้ำใจ: 196
ออฟไลน์ ออฟไลน์

กระทู้: 1,311



ดูรายละเอียด
« ตอบ #2 เมื่อ: 09 พฤษภาคม 2015, 02:15:32 »

เชื่อเถอะครับ คนที่เขาส่งเมล์มาเขาเจตนาดีครับ ท่านเป็นผู้พัฒนาก็จริง แต่ท่านอาจจะไม่ทราบว่ามีเด็กรุ่นใหม่ๆต้องเจอปัญหาเพราะซอฟแวร์ท่านเก่าครับ ที่เขาส่งมาไม่ใช่ว่าบังคับท่าน แต่เขาคิดว่าท่านไม่พัฒนาต่อแล้วครับ (ท่านหยุดการออกเวอร์ชั้นใหม่ๆมากี่ปีแล้วละครับ ? จนทุกอย่างมันเก่าหมดแล้ว)

 Tongue
บันทึกการเข้า
atikanzaa
เจ้าพ่อบอร์ดเสียว
*

พลังน้ำใจ: 245
ออฟไลน์ ออฟไลน์

กระทู้: 3,449



ดูรายละเอียด
« ตอบ #3 เมื่อ: 09 พฤษภาคม 2015, 02:17:41 »

ส่วนนึงผมว่าเขาหวังดีน่ะ แต่ พลาดตรงมาสั่งให้หยุดแจกเนี่ยแหละ
บันทึกการเข้า

รับซื้อเว็บไซต์ทุกรูปแบบที่มีรายได้แล้ว เสนอมเข้ามาได้ทาง pm
PullUp
Newbie
*

พลังน้ำใจ: 15
ออฟไลน์ ออฟไลน์

กระทู้: 92



ดูรายละเอียด
« ตอบ #4 เมื่อ: 09 พฤษภาคม 2015, 02:18:46 »

คนเดียวกันหรือเปล่า

โค๊ด:
http://www.thaiseoboard.com/index.php/topic,288353.0.html

บันทึกการเข้า

while( dayLife++ != _DEATH_ ) {
  eat();
  defecate();
  breed();
  sleep();
}
ฟาร์มเฮ้า
หัวหน้าแก๊งเสียว
*

พลังน้ำใจ: 49
ออฟไลน์ ออฟไลน์

กระทู้: 1,015



ดูรายละเอียด
« ตอบ #5 เมื่อ: 09 พฤษภาคม 2015, 02:20:39 »

ผมเป็นแฟน appserv มาตั้งแต่เริ่มเขียนเว็บเลยครับใช้มา 10 กว่าปีแล้วครับ

แต่หลัง ๆ ต้องยอมรับจริง ๆ ครับว่าค่อนข้างมีปัญหา อย่างเช่น ลง wordpress แล้วเวลาจะลง plugin จะติด error นั่นนี่ พอแก้อันนี้ ก็ไปขึ้น error อีกแบบ แก้ไปเรื่อย ๆ ไม่จบสักที จนตอนหลังต้องย้ายไปเทสบน host จริงแทน(ลำบากมาก เพราะมันช้า)

แต่เมื่อเดือนที่แล้วมีคนแนะนำให้ลอง xampp มันสุดยอดจริง ๆ ครับ(ตอนแรกคิดว่าเซิฟจนลอง php มีแค่ appserv อย่างเดียว) มี cp ให้กด start stop แก้ config และเวลาใช้งานก็ไม่มี error เลย ลง plugin wordpress โดยการดาวโหลดผ่าน xampp ได้เลยไม่มี error เจ๋งสุด ๆ ครับ

ส่วนคนที่เมล์มาขอให้ยกเลิกเผยแพร่นี่ก็เกินไปหน่อยครับ คนเค้าพัฒนามาตั้งนาน พูดง่ายเนาะจะให้ยกเลิกการเผยแพร่ ท่านทำแจกฟรี และเป็นสุดยอดเซิฟเวอร์จำลองเลยครับ(ในอดีต)

ส่วนถ้าท่านมีแพลนพัฒนาต่อ และแก้ไข error ต่าง ๆ ได้ จะดีมากเลยครับ
บันทึกการเข้า
kazama
CoDe iS PoeTRy
Verified Seller
เจ้าพ่อบอร์ดเสียว
*

พลังน้ำใจ: 470
ออฟไลน์ ออฟไลน์

กระทู้: 6,680



ดูรายละเอียด เว็บไซต์
« ตอบ #6 เมื่อ: 09 พฤษภาคม 2015, 02:23:01 »

เห็นด้วยกับความเห็นข้างบนครับ

โปรแกรมคุณดีมากในอดีต
ผมเชื่อเหมือนกันว่าคนที่ส่งเมล์ให้เจตนาดีครับ
เขาไม่ได้ประโยชน์อะไรเลย  จากการที่ appserv หยุดแจกจ่าย
บันทึกการเข้า

jirayu
Newbie
*

พลังน้ำใจ: 6
ออฟไลน์ ออฟไลน์

กระทู้: 55



ดูรายละเอียด เว็บไซต์
« ตอบ #7 เมื่อ: 09 พฤษภาคม 2015, 02:24:35 »

คนเดียวกันหรือเปล่า

โค๊ด:
http://www.thaiseoboard.com/index.php/topic,288353.0.html




คนเดียวกันครับ  และได้โอนเงินคืนให้เรียบร้อยตั้งแต่ตอนนั้นแล้วครับ Smiley
บันทึกการเข้า

รับข่มขืน WordPress ครับ  ติดต่อมาได้

Twitter: @jirayu
Facebook:  http://on.fb.me/jirayu
Web:  http://jirayu.in.th
armuay.net
คนรักเสียว
*

พลังน้ำใจ: 29
ออฟไลน์ ออฟไลน์

กระทู้: 111



ดูรายละเอียด
« ตอบ #8 เมื่อ: 09 พฤษภาคม 2015, 02:30:10 »

ปัญหาไม่ใช่คนแจก ไอ้คนเอาไปใช้นั่นแหละ ผมถามหลายครั้งแล้ว ว่า ทำไมถึงโหลดappserv ได้คำตอบว่า ง่าย ภาษาไทย ใช้ตัวอื่นอ่านไม่ออก ลงทุกรอบโดนแฮกทุกรอบ ก็ยังลงเจอทุกวัน เป็นปกติ ของIDC


Linux หลายๆตัว  ก็มีfile ver เก่าติดอยู่ในเว็บให้ดูเป็นtime line พัฒนา ก็ไม่เห็นมีใครไปดราม่านะว่า ver นี้ๆ เก่าโดนแฮก คุณต้องลบออก   


คนทำเค้าทำมาฟรี แต่เค้ายังไม่ว่างทำต่อเค้าไม่ผิด  จะบ่นจะด่านู่นไอ้คนเอาไปใช้
บันทึกการเข้า
apples
Newbie
*

พลังน้ำใจ: 12
ออฟไลน์ ออฟไลน์

กระทู้: 24



ดูรายละเอียด
« ตอบ #9 เมื่อ: 09 พฤษภาคม 2015, 02:30:40 »

ต้องเรียนให้ทราบแบบนี้ครับ ทุกวันนี้ผมทำ Server แล้วลูกค้าก็มีเว็บอยู่ ลูกค้าบางคนถามว่ามี PHP 5.4 ไหม ผมก็ตอบว่ามี
เหตุผลคือลูกค้าอยากพัฒนาโปรแกรมต่อเพื่อให้รันระบบใหม่ๆ ได้ แต่ลูกค้าบางคนถามว่า ของใช้ PHP Version เก่าได้ไหม
เพราะเค้าไม่มีเวลาพัฒนาและเค้าขายของได้อยู่ทุกวัน ถ้าทำแบบนี้เค้าต้องหาคนจ้างอีกไม่รู้เท่าไหร่แล้วเค้าต้องขาดรายได้
ในการที่เค้าจะขายของ เนื่องจากว่าโปรแกรมของเค้าไม่สามารถรันระบบใหม่ๆ หรือ PHP version ใหม่ๆ ได้
เหตุผลนี้ผมก็ต้องยังคงไว้ทั้งที่จะอัพเกรดเป็น version ใหม่ๆ และก็เลือกที่จะคงไว้ใน version เก่าๆ เพราะต้องการให้ทุกอย่างเดินได้
ซึ่งตรงนี้ทุกคนก็โอเคไม่มีปัญหาอยากก้าวไปข้างหน้า โอเคยอมเปลี่ยน แต่คนบางคนไม่ใช่ว่าเค้าจะล้าหลังแต่ว่าเค้ายังหาเงินได้ โอเคอยู่ต่อ
สิทธิความคิดเห็น สิทธิการเลือกใช้ แต่ละคนไม่เหมือนกัน เลือกที่จะใช้เลือกที่จะหยุด ก็เหมือนโลกทุกวันนี้ทำไม่คุณไม่ใช้จักรยาน
ทำไม่คุณไม่ใช้รถยนต์ ทำไมคุณต้องใช้รถ LPG ทำไมไม่ใช้ NGV มีหลายเหตุผล

ในเมื่อลูกค้าใช้ Software หรือพัฒนา Software ไม่ว่า version เก่าหรือ version ใหม่ก็ต้องมีความเสี่ยง ขึ้นอยู่กับคนพัฒนา
ก็อย่างที่บอกด้วยครับว่า ผมจะขายจักรยาน แต่มีบางคนบอกว่าผมขับรถไฟ ให้หยุดแจกจ่ายจักรยาน Huh???

ผมไม่ได้บังคับให้ใครใช้ แต่อยู่ที่คนเลือกใช้ ผมไม่ได้แจกจ่ายแต่ในไทยอย่างเดียว ถ้าทำงานไม่ได้ก็ต้องหาอะไรใหม่ที่ดีกว่า
ไม่ใช่ว่าจะมาหยุดกับสิ่งที่ผมพัฒนา แต่มาบอกว่าให้หยุดเผยแพร่ไม่เป็นเหตุผลที่แย่ไปหน่อยหรือครับ ?

ปล.http://www.thaiseoboard.com/index.php/topic,288353.20.html
คนเดียวกันแหละครับ ไม่พูดเรื่องที่มีปัญหาของเค้าก่อนๆ แต่ดูเหมือนว่าปัญหาชีวิตเค้าคงเยอะไม่ว่าจะเรื่องเงินเรื่องทอง
เรื่องนั้นผมไม่ยุ่งครับ คนละเรื่องแต่ผมอยากให้มองในเรื่องที่ผมเป็นนักพัฒนาแจกฟรีคนหนึ่งครับ



บันทึกการเข้า
iluis
สมุนแก๊งเสียว
*

พลังน้ำใจ: 30
ออฟไลน์ ออฟไลน์

กระทู้: 528



ดูรายละเอียด
« ตอบ #10 เมื่อ: 09 พฤษภาคม 2015, 02:31:26 »

เขาบอกว่ากำลังจะพัฒนาต่อ ใจเย็น ๆ ใครไม่ชอบก็ผ่าน มีหลายเจ้าให้เลือกนี่ครับ แต่ผมว่าตัวเก่า ๆ อาจจะจำเป็นสำหรับ server บางตัวที่ขาดการอัพเดตก็ได้ครับ ผมเจอมากับตัว ต้องหาโหลด appserv เวอร์เก่ามาทำเพราะว่าไม่อยากมาแก้โค๊ดเยอะ  wanwan004 wanwan004
บันทึกการเข้า
jirayu
Newbie
*

พลังน้ำใจ: 6
ออฟไลน์ ออฟไลน์

กระทู้: 55



ดูรายละเอียด เว็บไซต์
« ตอบ #11 เมื่อ: 09 พฤษภาคม 2015, 02:44:13 »

ข้อความนี้คือที่ผมตอบไปในอีเมลนะครับ

อ้างถึง
สวัสดีครับคุณภาณุพงษ์

อย่างแรกขอให้เข้าใจตรงกันก่อนว่าผมไม่ได้บังคับให้คุณหยุดเผยแพร่ซอฟต์แวร์ชุดนี้  เพียงแต่ขอความร่วมมือเท่านั้น (ซึ่งคุณจะร่วมมือหรือไม่ก็สุดแท้แต่การพิจารณาของคุณเองครับ)

สาเหตุที่ผมขอความร่วมมือในครั้งนี้คือตามที่ผมแจ้งไปแล้วว่า AppServ ไม่มีการปล่อยเวอร์ชันใหม่มาตั้งแต่ปี 2008 ซึ่งปัจจุบัน PHP ในชุด AppServ นั้นตกยุคไปเรียบร้อยแล้ว  แต่ AppServ ยังคงเป็นที่นิยมของนักพัฒนาหน้าใหม่  ทำให้นักพัฒนาเหล่านี้ติดการพัฒนาโดยใช้ AppServ (หรือให้ชัดคือ PHP5.2) เป็นฐาน  ซึ่งมักจะมีปัญหากับโฮสต์ติ้งในปัจจุบันที่แทบไม่มีใครใช้ PHP 5.2 แล้ว (แม้แต่ AppServ Hosting เองก็ตาม  ที่ตอนนี้อัพเกรดจาก 5.3 ไป 5.4 แล้ว)

ตัวผมเองเป็นแค่ PHP Developer คนหนึ่งครับ  ไม่ได้มีส่วนร่วมในการพัฒนา Opensource สักเท่าไหร่นัก  เพียงแค่ได้เข้าช่วยในการแปลซอฟต์แวร์อยู่เรื่อยๆ ครับ (เช่นโครงการ elementary หรือ ZPanel)

หากคุณภาณุพงศ์ยืนยันจะออกเวอร์ชันใหม่ที่ใช้แพ็คเกจที่ยังไม่หมดการซัพพอร์ต  ผมก็ยินดีเป็นอย่างยิ่งครับ

ขอบคุณครับ

ผมอาจจะออกตัวแรงเกินไปที่ขอให้เลิกเผยแพร่ (ยอมรับว่าผมคิดไปเองว่า AppServ เลิกพัฒนาแล้วครับ) ซึ่งเมื่อคุณภาณุพงศ์ยืนยันแล้วว่าจะพัฒนาต่อ  ผมก็ขอเป็นกำลังใจให้  และขออภัยที่ออกตัวแรงครับ

อย่างไรก็ตาม  ผมอยากขอพบกันคนละครึ่งทางได้หรือไม่ครับ  เนื่องจาก AppServ 2.5.10 นั้นไม่เหมาะสมกับการพัฒนาในปัจจุบันแล้วจริงๆ  ดังนั้นอยากให้คุณภาณุพงศ์ช่วยขึ้นข้อความเตือนว่าเป็น Outdated Software หรือเป็นซอฟต์แวร์สำหรับพัฒนาบนสภาพแวดล้อมเก่าได้หรือไม่ครับ (จะแนะนำให้ใช้ตัวอื่นแทนไปก่อนหรือไม่อย่างไรก็แล้วแต่พิจารณาครับ) จนกว่าจะมี AppServ เวอร์ชันใหม่ออกมาให้ใช้กัน

ขอบคุณครับ
บันทึกการเข้า

รับข่มขืน WordPress ครับ  ติดต่อมาได้

Twitter: @jirayu
Facebook:  http://on.fb.me/jirayu
Web:  http://jirayu.in.th
nutlove
หัวหน้าแก๊งเสียว
*

พลังน้ำใจ: 110
ออฟไลน์ ออฟไลน์

กระทู้: 1,560



ดูรายละเอียด เว็บไซต์
« ตอบ #12 เมื่อ: 09 พฤษภาคม 2015, 02:45:15 »

ขออนุญาติมองมุมเป็นกลางนะครับในกรณีไม่มีใครผิดและผู้พัฒนาก็ไม่ผิด

แต่ผมก็ต้องยอมรับจริงๆว่า มันไม่ได้พัฒนามานานมากแล้ว ทำให้ล่าสมัยและมีช่องโหว เป็นธรรมดา
ไหนๆ ก็ไหนๆ แล้วคุณพี่บอกว่า ยังมีการพัฒนา ผมก็อยากบอกว่ามาเร็วๆนะครับ เพราะว่า ระดับ user ชาวบ้านธรรมดา เขายังชินกับตัว Appserv เดิม ถ้าเป็นแบรนด์ สินค้าต้องเรียกว่าตัวนี้ประมาณโค้ก เป๊ปซี่เลยก็ได้ มีมูลค่าคุณในตัวเอง ดีไม่ดีสามารถสร้างเม็ดเงินจากแบรนด์นี้ได้อีกมหาศาล  wanwan013
บันทึกการเข้า

VPS , Colocation , Dedicated รับเขียนเว็บไซต์ระบบจดทะเบียนบริษัทถูกต้องตามกฎหมายออกบิล ได้ ...
วาง Colocation 1U เพียง 1800 บาทเท่านั่น!!
ให้บริการ streaming server
VPS เริ่มต้นที่ 350 บาท ถูกที่สุดในไทย (CPU4CoreRAM4GB)  คลิก 
รับทำเว็บราคาถูก.com
BakKheab
สมุนแก๊งเสียว
*

พลังน้ำใจ: 65
ออฟไลน์ ออฟไลน์

กระทู้: 725



ดูรายละเอียด
« ตอบ #13 เมื่อ: 09 พฤษภาคม 2015, 02:57:05 »

แต่ก่อนผมก็ใช้ Appserv พอใช้ๆไปแล้วมัน Error ทั้งๆที่เขียนโค้ดถูก
ผมก็เลยลองหาตัวใหม่มาลอง ก็ได้เจอ Xampp

ผมว่าอยู่ที่ตัวคนเลือกใช้
« แก้ไขครั้งสุดท้าย: 09 พฤษภาคม 2015, 03:17:26 โดย BakKheab » บันทึกการเข้า
fangbif
หัวหน้าแก๊งเสียว
*

พลังน้ำใจ: 283
ออฟไลน์ ออฟไลน์

กระทู้: 2,316



ดูรายละเอียด
« ตอบ #14 เมื่อ: 09 พฤษภาคม 2015, 02:58:09 »

เราอ่านแล้วเราก็เข้าใจจุดประสงค์ของคนที่เมลไปบอก จขกท. นะคะ
เราเห็นนักพัฒนาต่างประเทศเขาก็ทำแบบนี้หมด
อันไหนไม่พัฒนาต่อแล้วเขาก็แจ้งเตือน พร้อมกับแนะนำตัวอื่น
ไม่ได้เห็นว่าเป็นเรื่องที่ยอมรับไม่ได้อะไร
ดีเสียอีกจะได้ทำให้คนที่จะศึกษาได้เริ่มต้นแบบถูกต้อง ไม่เสียเวลางมอีกเยอะ


คนที่ศึกษาก็เสียเวลา งมอยู่นั่น เพราะนึกว่าตัวเองทำผิด ไม่รู้หรอกจนกว่าจะไปโพสหาคำตอบนั่นแหละ
คนตอบ ก็ต้องมาตอบวนซ้ำๆ

จะดีกว่ามั๊ย ถ้า จขกท. รับฟังสิ่งที่ควรรับฟังและนำไปแก้ไข
เราเห็นมันก็เป็นวิธีการสากลนะคะ

แต่สุดท้ายก็เอาแล้วแต่ที่ท่านสบายใจเถอะค่ะ
เรื่องแค่นี้ยังจะดราม่าลากไส้กัน  Lips Sealed
« แก้ไขครั้งสุดท้าย: 09 พฤษภาคม 2015, 03:53:07 โดย fangbif » บันทึกการเข้า
-[E]xplore[R]-
สมุนแก๊งเสียว
*

พลังน้ำใจ: 114
ออฟไลน์ ออฟไลน์

กระทู้: 806



ดูรายละเอียด เว็บไซต์
« ตอบ #15 เมื่อ: 09 พฤษภาคม 2015, 02:58:22 »

ปกติเค้าใช้อะไรกันอ่ะครับ
บันทึกการเข้า


COUPON HOSTGATOR
00994byare : -9.94

Uber X Taxi
Perfect Grade | Master Grade | High Grade
gd,lN
หัวหน้าแก๊งเสียว
*

พลังน้ำใจ: 96
ออฟไลน์ ออฟไลน์

กระทู้: 1,658



ดูรายละเอียด เว็บไซต์
« ตอบ #16 เมื่อ: 09 พฤษภาคม 2015, 03:09:28 »

เดี๋ยวนี้ ผมเทสทำบนโฮสเลยครับ เร็วกกว่าบนคอมผมอีก 55+
บันทึกการเข้า

jirayu
Newbie
*

พลังน้ำใจ: 6
ออฟไลน์ ออฟไลน์

กระทู้: 55



ดูรายละเอียด เว็บไซต์
« ตอบ #17 เมื่อ: 09 พฤษภาคม 2015, 03:10:56 »

ปกติเค้าใช้อะไรกันอ่ะครับ

ปกติผมจะแนะนำให้ใช้ Stack ใดก็ได้  ที่ PHP ยังเป็นเวอร์ชันที่มีการสนับสนุนอยู่ครับ  เช่น XAMPP ครับ

ผมเคยเจอบางเคสเช่นกัน  ซึ่งเป็นอย่างที่คุณภาณุพงศ์กล่าวคือเป็นโค๊ดที่เขียนไว้สำหรับ PHP 5.2 ซึ่งหากจะนำมาพัฒนาต่อ (เช่นแก้บั๊ก หรือเพิ่มฟีเจอร์)
การใช้ Stack ที่มากับ PHP 5.2 เช่น AppServ นั้นเป็นทางเลือกที่เหมาะสมครับ

แต่สำหรับการพัฒนาใหม่ (ซึ่งส่วนมากในยุคนี้ คงจะเป็นอย่างนี้ทั้งนั้น) ควรเริ่มที่ PHP เวอร์ชันที่มีการสนับสนุนอยู่ครับ (รุ่นสนับสนุนต่ำสุดตอนนี้คือ 5.4)
ซึ่งในกรณีนี้ AppServ เริ่มไม่ตอบโจทย์ในการนำมาจำลองเซิร์ฟเวอร์แล้วครับ

ณ จุดนี้ผมมองว่าคนไม่ทราบว่า AppServ นั้น Outdated ไปเรียบร้อยแล้ว  และยังคงใช้มันอยู่เรื่อยๆ ครับ
อย่างที่ผมเรียนไปคือผมเข้าใจไปเองว่า AppServ นั้นหยุดพัฒนาไปแล้ว (ซึ่งผมต้องขออภัยตรงนี้เป็นอย่างสูง) เลยขอให้พิจารณาหยุดเผยแพร่

ตอนนี้ทราบแล้วว่าทางคุณภาณุพงศ์มีแผนที่จะพัฒนา AppServ ต่อ  ดังนั้นจึงอยากให้เพียงแค่ขึ้นเตือนเอาไว้ก่อนว่า AppServ 2.5.10 นั้น Outdated ไปเรียบร้อยแล้วครับ
ซึ่งจะช่วยป้องกันปัญหาการพัฒนาออกมาแล้วไปมีปัญหาบนโฮสต์จริงได้ในระดับหนึ่ง

ขอบคุณครับ
บันทึกการเข้า

รับข่มขืน WordPress ครับ  ติดต่อมาได้

Twitter: @jirayu
Facebook:  http://on.fb.me/jirayu
Web:  http://jirayu.in.th
redmaster
ก๊วนเสียว
*

พลังน้ำใจ: 27
ออฟไลน์ ออฟไลน์

กระทู้: 392



ดูรายละเอียด
« ตอบ #18 เมื่อ: 09 พฤษภาคม 2015, 03:18:51 »

ขอบคุณ AppServ ที่ทำให้ผมมีวันนี้ครับ
ผมใช้จนเมื่อปี่ก่อนนี่เองที่พยายามยัด PHP 5.3 ลงไป ยัด MySQL ใหม่ๆเข้าไปก็พอจะใช้งานเพื่อนทดสอบได้อยู่
จนมันคงจะเหนื่อยมากแล้วทำงานช้าลงกว่าที่เคยเป็นมาก
ตอนนี้เลยจำเป็นต้องนอกใจท่ใช้ตัวอื่นแทน ถ้าวันหน้ามีเวอร์ชั่นใหม่จะกลับไปลองครับ

 wanwan017 wanwan017
บันทึกการเข้า
dekmv
เจ้าพ่อบอร์ดเสียว
*

พลังน้ำใจ: 222
ออฟไลน์ ออฟไลน์

กระทู้: 3,266



ดูรายละเอียด เว็บไซต์
« ตอบ #19 เมื่อ: 09 พฤษภาคม 2015, 03:21:59 »

Appserv ผมเปรียบเป็น Nokia เลยนะคราฟ  Tongue
บันทึกการเข้า
หน้า: [1] 2 3 ... 9   ขึ้นบน
พิมพ์